# 项目相关配置
dcs:
  # 名称
  name: dcs
  # 版本
  version: 3.8.9
  # 版权年份
  copyrightYear: 2025
  # 文件路径 示例（ Windows配置D:/shanghai_dcs/uploadPath，Linux配置 /home/shanghai_dcs/uploadPath）
#  profile: D:/shanghai_dcs/uploadPath
  profile: /home/sy/ShanghaiDCS/dcs/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数字计算 char 字符验证
  captchaType: math
  # influxdb配置
  influxdb:
#    url: http://127.0.0.1:8086
#    token: kYdrdEfimyHUA0ra_IEiHoYg5m1cpMpaONyET4gRfdMaC3HztXMwdQsrD2-M6w5VLM-3Yo4pYfnxAzFO1mOMXQ==
    url: http://ab.ranmo.net.cn:8086
    token: kYdrdEfimyHUA0ra_IEiHoYg5m1cpMpaONyET4gRfdMaC3HztXMwdQsrD2-M6w5VLM-3Yo4pYfnxAzFO1mOMXQ==
    org: ygtx_org
#    token: TnFc4ypsHK6ZKxQW9IiOKUPEZQXGJ9lHn4d-V2wJvis1Qk4Xlo7X_AZLUCrFSdSUfUwOeqR5iRfR3rK6Rn5SDg==
#    org: myorg
  # modbus配置
  modbus:
    host: 127.0.0.1
    port: 22502
#    host: 200.200.200.10
#    port: 502
#    timeout: 3000

# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 38080
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ruoyi: debug
#    org.springframework: warn
    org:
      springframework:
        web.socket: DEBUG

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
#  时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active: druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  # redis 配置
  redis:
    # 地址
#    host: 192.168.110.83
    host: 127.0.0.1
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password:
#    password: Z7f#kR1@xM9pL!vTq2Bd
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 300

# MyBatis配置
#mybatis:
#  # 搜索指定包别名
#  typeAliasesPackage: com.dcs.**.domain
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  configLocation: classpath:mybatis/mybatis-config.xml
##  开启驼峰
#  configuration:
#    map-underscore-to-camel-case: true

#mybatis-plus配置
mybatis-plus:
  # mapper.xml 路径（支持通配）
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  # 实体类所在路径（用于别名）
  type-aliases-package: com.dcs.**.domain
  global-config:
    db-config:
      id-type: auto
      # 开启逻辑删除
      logic-delete-field: delFlag  # 全局逻辑删除字段
      logic-delete-value: '2'
      logic-not-delete-value: '0'
      # 配置自动填充
      fill-strategy: true  # 开启填充策略
  configuration:
    map-underscore-to-camel-case: true
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl # 可选，控制台打印 SQL


# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*
